## rear 1.16.1

=== Makefile ===
# In some dists (e.g. Ubuntu) bash is not the default shell. Statements like 
#   cp -a etc/rear/{mappings,templates} ...
# assumes bash. So its better to set SHELL
SHELL=/bin/bash

DESTDIR =
OFFICIAL =

### Get version from Relax-and-Recover itself
rearbin = usr/sbin/rear
name = rear
version := $(shell awk 'BEGIN { FS="=" } /^VERSION=/ { print $$2}' $(rearbin))

### Get the branch information from git
ifeq ($(OFFICIAL),)
ifneq ($(shell which git),)
git_date := $(shell git log -n 1 --format="%ai")
git_ref := $(shell git symbolic-ref -q HEAD)
git_branch = $(lastword $(subst /, ,$(git_ref)))
endif
else
git_branch = rear-$(version)
endif
git_branch ?= master

date := $(shell date --date="$(git_date)" +%Y%m%d%H%M)
release_date := $(shell date --date="$(git_date)" +%Y-%m-%d)

prefix = /usr
sysconfdir = /etc
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

specfile = packaging/rpm/$(name).spec
dscfile = packaging/debian/$(name).dsc

distversion = $(version)
debrelease = 0
rpmrelease = %nil
obsproject = Archiving:Backup:Rear
obspackage = $(name)-$(version)
ifeq ($(OFFICIAL),)
    distversion = $(version)-git$(date)
    debrelease = 0git$(date)
    rpmrelease = .git$(date)
    obsproject = Archiving:Backup:Rear:Snapshot
    obspackage = $(name)
endif

.PHONY: doc

all:
	@echo "Nothing to build. Use \`make help' for more information."

help:
	@echo -e "Relax-and-Recover make targets:\n\
\n\
  validate        - Check source code\n\
  install         - Install Relax-and-Recover (may replace files)\n\
  uninstall       - Uninstall Relax-and-Recover (may remove files)\n\
  dist            - Create tar file\n\
  deb             - Create DEB package\n\
  rpm             - Create RPM package\n\
  pacman          - Create Pacman package\n\
  obs             - Initiate OBS builds\n\
\n\
Relax-and-Recover make variables (optional):\n\
\n\
  DESTDIR=        - Location to install/uninstall\n\
  OFFICIAL=       - Build an official release\n\
"

clean:
	rm -f $(name)-$(distversion).tar.gz
	rm -f build-stamp
	make -C doc clean

### You can call 'make validate' directly from your .git/hooks/pre-commit script
validate:
	@echo -e "\033[1m== Validating scripts and configuration ==\033[0;0m"
	find etc/ usr/share/rear/conf/ -name '*.conf' | xargs -n 1 bash -n
	bash -n $(rearbin)
	find . -name '*.sh' | xargs -n 1 bash -n
### Fails to work on RHEL4
#	find -L . -type l

man:
	@echo -e "\033[1m== Prepare manual ==\033[0;0m"
	make -C doc man

doc:
	@echo -e "\033[1m== Prepare documentation ==\033[0;0m"
	make -C doc docs

ifneq ($(git_date),)
rewrite:
	@echo -e "\033[1m== Rewriting $(specfile), $(dscfile) and $(rearbin) ==\033[0;0m"
	sed -i.orig \
		-e 's#^Source:.*#Source: https://sourceforge.net/projects/rear/files/rear/${version}/$(name)-${distversion}.tar.gz#' \
		-e 's#^Version:.*#Version: $(version)#' \
		-e 's#^%define rpmrelease.*#%define rpmrelease $(rpmrelease)#' \
		-e 's#^%setup.*#%setup -q -n $(name)-$(distversion)#' \
		$(specfile)
	sed -i.orig \
		-e 's#^Version:.*#Version: $(version)-$(debrelease)#' \
		$(dscfile)
	sed -i.orig \
		-e 's#^VERSION=.*#VERSION=$(distversion)#' \
		-e 's#^RELEASE_DATE=.*#RELEASE_DATE="$(release_date)"#' \
		$(rearbin)

restore:
	@echo -e "\033[1m== Restoring $(specfile) and $(rearbin) ==\033[0;0m"
	mv -f $(specfile).orig $(specfile)
	mv -f $(dscfile).orig $(dscfile)
	mv -f $(rearbin).orig $(rearbin)
else
rewrite:
	@echo "Nothing to do."

restore:
	@echo "Nothing to do."
endif

install-config:
	@echo -e "\033[1m== Installing configuration ==\033[0;0m"
	install -d -m0700 $(DESTDIR)$(sysconfdir)/rear/
	-[[ ! -e $(DESTDIR)$(sysconfdir)/rear/local.conf ]] && \
		install -Dp -m0600 etc/rear/local.conf $(DESTDIR)$(sysconfdir)/rear/local.conf
	-[[ ! -e $(DESTDIR)$(sysconfdir)/rear/os.conf && -e etc/rear/os.conf ]] && \
		install -Dp -m0600 etc/rear/os.conf $(DESTDIR)$(sysconfdir)/rear/os.conf
	-find $(DESTDIR)$(sysconfdir)/rear/ -name '.gitignore' -exec rm -rf {} \; &>/dev/null

install-bin:
	@echo -e "\033[1m== Installing binary ==\033[0;0m"
	install -Dp -m0755 $(rearbin) $(DESTDIR)$(sbindir)/rear
	sed -i -e 's,^CONFIG_DIR=.*,CONFIG_DIR="$(sysconfdir)/rear",' \
		-e 's,^SHARE_DIR=.*,SHARE_DIR="$(datadir)/rear",' \
		-e 's,^VAR_DIR=.*,VAR_DIR="$(localstatedir)/lib/rear",' \
		$(DESTDIR)$(sbindir)/rear

install-data:
	@echo -e "\033[1m== Installing scripts ==\033[0;0m"
	install -d -m0755 $(DESTDIR)$(datadir)/rear/
	cp -a usr/share/rear/. $(DESTDIR)$(datadir)/rear/
	-find $(DESTDIR)$(datadir)/rear/ -name '.gitignore' -exec rm -rf {} \; &>/dev/null

install-var:
	@echo -e "\033[1m== Installing working directory ==\033[0;0m"
	install -d -m0755 $(DESTDIR)$(localstatedir)/lib/rear/
	install -d -m0755 $(DESTDIR)$(localstatedir)/log/rear/

install-doc:
	@echo -e "\033[1m== Installing documentation ==\033[0;0m"
	make -C doc install
	sed -i -e 's,/etc,$(sysconfdir),' \
		-e 's,/usr/sbin,$(sbindir),' \
		-e 's,/usr/share,$(datadir),' \
		-e 's,/usr/share/doc/packages,$(datadir)/doc,' \
		$(DESTDIR)$(mandir)/man8/rear.8

install: validate man install-config rewrite install-bin restore install-data install-var install-doc

uninstall:
	@echo -e "\033[1m== Uninstalling Relax-and-Recover ==\033[0;0m"
	-rm -v $(DESTDIR)$(sbindir)/rear
	-rm -v $(DESTDIR)$(mandir)/man8/rear.8
	-rm -rv $(DESTDIR)$(datadir)/rear/
#	rm -rv $(DESTDIR)$(sysconfdir)/rear/
#	rm -rv $(DESTDIR)$(localstatedir)/lib/rear/

dist: clean validate man rewrite $(name)-$(distversion).tar.gz restore

$(name)-$(distversion).tar.gz:
	@echo -e "\033[1m== Building archive $(name)-$(distversion) ==\033[0;0m"
	git checkout $(git_branch)
	git ls-tree -r --name-only --full-tree $(git_branch) | \
		tar -czf $(name)-$(distversion).tar.gz --transform='s,^,$(name)-$(distversion)/,S' --files-from=-

rpm: dist
	@echo -e "\033[1m== Building RPM package $(name)-$(distversion) ==\033[0;0m"
	rpmbuild -tb --clean \
		--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
		--define "debug_package %{nil}" \
		--define "_rpmdir %(pwd)" $(name)-$(distversion).tar.gz

deb: dist
	@echo -e "\033[1m== Building DEB package $(name)-$(distversion) ==\033[0;0m"
	cp -r packaging/debian/ .
	chmod 755 debian/rules
	fakeroot debian/rules clean
	fakeroot dh_install
	fakeroot debian/rules binary
	-rm -rf debian/

pacman: BUILD_DIR = /tmp/rear-$(distversion)
pacman: dist
	@echo -e "\033[1m== Building Pacman package $(name)-$(distversion) ==\033[0;0m"
	rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
	cp packaging/arch/PKGBUILD.local $(BUILD_DIR)/PKGBUILD
	cp $(name)-$(distversion).tar.gz $(BUILD_DIR)/
	cd $(BUILD_DIR) ; sed -i -e 's/VERSION/$(date)/' \
		-e 's/SOURCE/$(name)-$(distversion).tar.gz/' \
		-e 's/MD5SUM/$(shell md5sum $(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
		PKGBUILD ; makepkg -c
	cp $(BUILD_DIR)/*.pkg.* .
	rm -rf $(BUILD_DIR)

obs: BUILD_DIR = /tmp/rear-$(distversion)
obs: obsname = $(shell osc ls $(obsproject) $(obspackage) | awk '/.tar.gz$$/ { gsub(".tar.gz$$","",$$1); print }')
obs: dist
	@echo -e "\033[1m== Updating OBS from $(obsname) to $(name)-$(distversion)== \033[0;0m"
ifneq ($(obsname),$(name)-$(distversion))
	-rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
ifneq ($(OFFICIAL),)
#	osc rdelete -m 'Recreating branch $(obspackage)' $(obsproject) $(obspackage)
	-osc branch Archiving:Backup:Rear:Snapshot rear $(obsproject) $(obspackage)
	-osc detachbranch $(obsproject) $(obspackage)
endif
	(cd $(BUILD_DIR) ; osc co -c $(obsproject) $(obspackage) )
	-(cd $(BUILD_DIR)/$(obspackage) ; osc del *.tar.gz )
	cp $(name)-$(distversion).tar.gz $(BUILD_DIR)/$(obspackage)
	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(specfile) >$(BUILD_DIR)/$(obspackage)/$(name).spec
	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/control >$(BUILD_DIR)/$(obspackage)/debian.control
	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- OpenSUSE Build System <obs@relax-and-recover.org> $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/changelog >>$(BUILD_DIR)/$(obspackage)/debian.changelog
	cd $(BUILD_DIR)/$(obspackage); osc addremove
	cd $(BUILD_DIR)/$(obspackage); osc ci -m "Update to $(name)-$(distversion)" $(BUILD_DIR)/$(obspackage)
	rm -rf $(BUILD_DIR)
	@echo -e "\033[1mNow visit https://build.opensuse.org/package/show?package=rear&project=$(obsproject)"
	@echo -e "or inspect the queue at: https://build.opensuse.org/monitor\033[0;0m"
else
	@echo -e "OBS already updated to this release."
endif

## rear 1.17.0

=== Makefile ===
--- 
+++ 
@@ -228,7 +228,7 @@
 	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
 	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/control >$(BUILD_DIR)/$(obspackage)/debian.control
 	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
-	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- OpenSUSE Build System <obs@relax-and-recover.org> $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
+	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- OpenSUSE Build System <obs@relax-and-recover.org>  $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
 	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/changelog >>$(BUILD_DIR)/$(obspackage)/debian.changelog
 	cd $(BUILD_DIR)/$(obspackage); osc addremove
 	cd $(BUILD_DIR)/$(obspackage); osc ci -m "Update to $(name)-$(distversion)" $(BUILD_DIR)/$(obspackage)

=== doc/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

txttargets = $(shell echo *.txt)
htmltargets = $(patsubst %.txt, %.html, $(txttargets))

all: docs

dist: docs

man: rear.8

docs: rear.8 $(htmltargets)
	make -C user-guide docs

install: rear.8
	install -Dp -m0644 rear.8 $(DESTDIR)$(mandir)/man8/rear.8

clean:
	rm -f unconv.8 *.html *.xml
	make -C user-guide clean

%.8.html: %.8.txt
	asciidoc -d manpage $<

%.8: %.8.xml
	xmlto man $<

%.html: %.txt
	asciidoc $<

%.8.xml: %.8.txt
	asciidoc -b docbook -d manpage $<

=== doc/user-guide/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

txttargets = relax-and-recover-user-guide.txt
htmltargets = $(patsubst %.txt, %.html, $(txttargets))

all: docs

dist: docs

docs: $(htmltargets)

clean:
	rm -f *.html *.svg *.xml

%.html: %.txt
	asciidoc $<

## rear 1.18

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ### Get version from Relax-and-Recover itself
 rearbin = usr/sbin/rear
 name = rear
-version := $(shell awk 'BEGIN { FS="=" } /^VERSION=/ { print $$2}' $(rearbin))
+version := $(shell awk 'BEGIN { FS="=" } /^readonly VERSION=/ { print $$2}' $(rearbin))
 
 ### Get the branch information from git
 ifeq ($(OFFICIAL),)
@@ -107,8 +107,8 @@
 		-e 's#^Version:.*#Version: $(version)-$(debrelease)#' \
 		$(dscfile)
 	sed -i.orig \
-		-e 's#^VERSION=.*#VERSION=$(distversion)#' \
-		-e 's#^RELEASE_DATE=.*#RELEASE_DATE="$(release_date)"#' \
+		-e 's#^readonly VERSION=.*#readonly VERSION=$(distversion)#' \
+		-e 's#^readonly RELEASE_DATE=.*#readonly RELEASE_DATE="$(release_date)"#' \
 		$(rearbin)
 
 restore:
@@ -230,6 +230,8 @@
 	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
 	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- OpenSUSE Build System <obs@relax-and-recover.org>  $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
 	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/changelog >>$(BUILD_DIR)/$(obspackage)/debian.changelog
+	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/compat >>$(BUILD_DIR)/$(obspackage)/debian.compat
+	tar -xOzf $(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/copyright >>$(BUILD_DIR)/$(obspackage)/debian.copyright
 	cd $(BUILD_DIR)/$(obspackage); osc addremove
 	cd $(BUILD_DIR)/$(obspackage); osc ci -m "Update to $(name)-$(distversion)" $(BUILD_DIR)/$(obspackage)
 	rm -rf $(BUILD_DIR)

## rear 2.00+dfsg

=== debian/changelog ===
rear (2.00+dfsg-2) unstable; urgency=medium

  * d/control : move xmlto to Build-Depends, since it's needed for man
    generation and man is part of the "any" part of the rear package (Closes:
    #851209)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 13 Jan 2017 09:22:44 +0000

rear (2.00+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/control : use asciidoc-base instead of asciidoc and move it to
    Build-Depends (Closes: #849303)
  * d/watch : fix and take +dfsg into account correctly
  * d/control, d/changelog : fixed accents in my firstname

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Tue, 10 Jan 2017 15:12:34 +0100

rear (1.19+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #683422)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Tue, 13 Dec 2016 12:50:51 +0000

=== debian/control ===
Source: rear
Section: admin
Priority: optional
Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
Build-Depends-Indep: source-highlight
Standards-Version: 3.9.8
Homepage: http://relax-and-recover.org/

Package: rear-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Bare metal disaster recovery and system migration framework (documentation)
 It is a modular framework with many ready-to-go workflows for common
 situations.  Relax-and-Recover produces a bootable image. This image can
 repartition the system. Once that is done it initiates a restore from backup.
 Restores to different hardware are possible. Relax-and-Recover can therefore be
 used as a migration tool as well.
 .
 This package contains the documentation of rear.

Package: rear
Architecture: amd64 i386 ia64 ppc64el
Depends: attr,
         binutils,
         dosfstools,
         ethtool,
         gawk,
         iproute,
         iputils-ping,
         isolinux,
         lsb-release,
         openssl,
         parted,
         syslinux[!ppc64el],
         xorriso,
         ${misc:Depends}
Recommends: nfs-client, portmap
Description: Bare metal disaster recovery and system migration framework
 It is a modular framework with many ready-to-go workflows for common
 situations.  Relax-and-Recover produces a bootable image. This image can
 repartition the system. Once that is done it initiates a restore from backup.
 Restores to different hardware are possible. Relax-and-Recover can therefore be
 used as a migration tool as well.

## rear 2.1

=== Makefile ===
# In some dists (e.g. Ubuntu) bash is not the default shell. Statements like
#   cp -a etc/rear/{mappings,templates} ...
# assumes bash. So its better to set SHELL
SHELL=/bin/bash

DESTDIR =
OFFICIAL =

### Get version from Relax-and-Recover itself
rearbin = usr/sbin/rear
name = rear
version := $(shell awk 'BEGIN { FS="=" } /^readonly VERSION=/ { print $$2}' $(rearbin))

### Get the branch information from git
ifeq ($(OFFICIAL),)
ifneq ($(shell which git),)
git_date := $(shell git log -n 1 --format="%ai" 2>/dev/null || echo now)
git_ref := $(shell git rev-parse --short HEAD 2>/dev/null || echo 0)
git_count := $(shell git rev-list HEAD --count --no-merges 2>/dev/null || echo 0)
git_branch_suffix = $(shell { git symbolic-ref --short HEAD 2>/dev/null || echo unknown ; } | tr -d /_-)
git_status := $(shell git status --porcelain 2>/dev/null)
git_stamp := $(git_count).$(git_ref).$(git_branch_suffix)
ifneq ($(git_status),)
git_stamp := $(git_stamp).changed
endif
endif
else
ifneq ($(shell which git),)
git_date := $(shell git log -n 1 --format="%ai")
endif
git_branch = rear-$(version)
endif
git_branch ?= master

date := $(shell date --date="$(git_date)" +%Y%m%d%H%M)
release_date := $(shell date --date="$(git_date)" +%Y-%m-%d)

prefix = /usr
sysconfdir = /etc
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

specfile = packaging/rpm/$(name).spec
dscfile = packaging/debian/$(name).dsc

distversion = $(version)
debrelease = 0
rpmrelease = %nil
obsproject = Archiving:Backup:Rear
obspackage = $(name)-$(version)
ifeq ($(OFFICIAL),)
    distversion = $(version)-git.$(git_stamp)
    debrelease = 0git.$(git_stamp)
    rpmrelease = .git.$(git_stamp)
    obsproject = Archiving:Backup:Rear:Snapshot
    obspackage = $(name)
endif

.PHONY: doc

all:
	@echo "Nothing to build. Use \`make help' for more information."

help:
	@echo -e "Relax-and-Recover make targets:\n\
\n\
  validate        - Check source code\n\
  install         - Install Relax-and-Recover (may replace files)\n\
  uninstall       - Uninstall Relax-and-Recover (may remove files)\n\
  dist            - Create tar file in dist/\n\
  deb             - Create DEB package in dist/\n\
  rpm             - Create RPM package in dist/\n\
  pacman          - Create Pacman package\n\
  obs             - Initiate OBS builds\n\
\n\
Relax-and-Recover make variables (optional):\n\
\n\
  DESTDIR=        - Location to install/uninstall\n\
  OFFICIAL=1      - Build an official release\n\
"

clean:
	rm -Rf dist build
	rm -f build-stamp
	make -C doc clean

### You can call 'make validate' directly from your .git/hooks/pre-commit script
validate:
	@echo -e "\033[1m== Validating scripts and configuration ==\033[0;0m"
	find etc/ usr/share/rear/conf/ -name '*.conf' | xargs -n 1 bash -n
	bash -n $(rearbin)
	find . -name '*.sh' | xargs -n 1 bash -n
	find usr/share/rear -name '*.sh' | grep -v -E '(lib|skel|conf)' | while read FILE ; do \
		num=$$(echo $${FILE##*/} | cut -c1-3); \
		if [[ "$$num" = "000" || "$$num" = "999" ]] ; then \
			echo "ERROR: script $$FILE may not start with $$num"; \
			exit 1; \
		else \
			if $$( grep '[_[:alpha:]]' <<< $$num >/dev/null 2>&1 ) ; then \
				echo "ERROR: script $$FILE must start with 3 digits"; \
				exit 1; \
			fi; \
		fi; \
	done

man:
	@echo -e "\033[1m== Prepare manual ==\033[0;0m"
	make -C doc man

doc:
	@echo -e "\033[1m== Prepare documentation ==\033[0;0m"
	make -C doc docs

install-config:
	@echo -e "\033[1m== Installing configuration ==\033[0;0m"
	install -d -m0700 $(DESTDIR)$(sysconfdir)/rear/
	install -d -m0700 $(DESTDIR)$(sysconfdir)/rear/cert/
	-[[ ! -e $(DESTDIR)$(sysconfdir)/rear/local.conf ]] && \
		install -Dp -m0600 etc/rear/local.conf $(DESTDIR)$(sysconfdir)/rear/local.conf
	-[[ ! -e $(DESTDIR)$(sysconfdir)/rear/os.conf && -e etc/rear/os.conf ]] && \
		install -Dp -m0600 etc/rear/os.conf $(DESTDIR)$(sysconfdir)/rear/os.conf
	-find $(DESTDIR)$(sysconfdir)/rear/ -name '.gitignore' -exec rm -rf {} \; &>/dev/null

install-bin:
	@echo -e "\033[1m== Installing binary ==\033[0;0m"
	install -Dp -m0755 $(rearbin) $(DESTDIR)$(sbindir)/rear
	sed -i -e 's,^CONFIG_DIR=.*,CONFIG_DIR="$(sysconfdir)/rear",' \
		-e 's,^SHARE_DIR=.*,SHARE_DIR="$(datadir)/rear",' \
		-e 's,^VAR_DIR=.*,VAR_DIR="$(localstatedir)/lib/rear",' \
		$(DESTDIR)$(sbindir)/rear

install-data:
	@echo -e "\033[1m== Installing scripts ==\033[0;0m"
	install -d -m0755 $(DESTDIR)$(datadir)/rear/
	cp -a usr/share/rear/. $(DESTDIR)$(datadir)/rear/
	-find $(DESTDIR)$(datadir)/rear/ -name '.gitignore' -exec rm -rf {} \; &>/dev/null

install-var:
	@echo -e "\033[1m== Installing working directory ==\033[0;0m"
	install -d -m0755 $(DESTDIR)$(localstatedir)/lib/rear/
	install -d -m0755 $(DESTDIR)$(localstatedir)/log/rear/

install-doc:
	@echo -e "\033[1m== Installing documentation ==\033[0;0m"
	make -C doc install
	sed -i -e 's,/etc,$(sysconfdir),' \
		-e 's,/usr/sbin,$(sbindir),' \
		-e 's,/usr/share,$(datadir),' \
		-e 's,/usr/share/doc/packages,$(datadir)/doc,' \
		$(DESTDIR)$(mandir)/man8/rear.8

install: validate man install-config install-bin install-data install-var install-doc

uninstall:
	@echo -e "\033[1m== Uninstalling Relax-and-Recover ==\033[0;0m"
	-rm -v $(DESTDIR)$(sbindir)/rear
	-rm -v $(DESTDIR)$(mandir)/man8/rear.8
	-rm -rv $(DESTDIR)$(datadir)/rear/
#	rm -rv $(DESTDIR)$(sysconfdir)/rear/
#	rm -rv $(DESTDIR)$(localstatedir)/lib/rear/

dist: clean validate man dist/$(name)-$(distversion).tar.gz

dist/$(name)-$(distversion).tar.gz:
	@echo -e "\033[1m== Building archive $(name)-$(distversion) ==\033[0;0m"
	rm -Rf build/$(name)-$(distversion)
	mkdir -p dist build/$(name)-$(distversion)
	tar -c --exclude-from=.gitignore --exclude=.gitignore --exclude=".??*" * | \
		tar -C build/$(name)-$(distversion) -x
	@echo -e "\033[1m== Rewriting $(specfile), $(dscfile) and $(rearbin) ==\033[0;0m"
	sed -i.orig \
		-e 's#^Source:.*#Source: https://sourceforge.net/projects/rear/files/rear/${version}/$(name)-${distversion}.tar.gz#' \
		-e 's#^Version:.*#Version: $(version)#' \
		-e 's#^%define rpmrelease.*#%define rpmrelease $(rpmrelease)#' \
		-e 's#^%setup.*#%setup -q -n $(name)-$(distversion)#' \
		build/$(name)-$(distversion)/$(specfile)
	sed -i.orig \
		-e 's#^readonly VERSION=.*#readonly VERSION=$(distversion)#' \
		-e 's#^readonly RELEASE_DATE=.*#readonly RELEASE_DATE="$(release_date)"#' \
		build/$(name)-$(distversion)/$(rearbin)
	tar -czf dist/$(name)-$(distversion).tar.gz -C build $(name)-$(distversion)

srpm: dist
	@echo -e "\033[1m== Building SRPM package $(name)-$(distversion) ==\033[0;0m"
	rpmbuild -ts --clean --nodeps \
		--define="_topdir $(CURDIR)/build/rpmbuild" \
		--define="_sourcedir $(CURDIR)/dist" \
		--define="_srcrpmdir $(CURDIR)/dist" \
		--define "debug_package %{nil}" \
		dist/$(name)-$(distversion).tar.gz

rpm: srpm
	@echo -e "\033[1m== Building RPM package $(name)-$(distversion) ==\033[0;0m"
	rpmbuild --rebuild --clean \
		--define="_topdir $(CURDIR)/build/rpmbuild" \
		--define="_rpmdir $(CURDIR)/dist" \
		--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
		--define "debug_package %{nil}" \
		dist/$(name)-$(version)-1*.src.rpm

deb: dist
	@echo -e "\033[1m== Building DEB package $(name)-$(distversion) ==\033[0;0m"
	cp -r build/$(name)-$(distversion)/packaging/debian/ build/$(name)-$(distversion)/
	cd build/$(name)-$(distversion) ; dch -v $(distversion) -b -M build package
	cd build/$(name)-$(distversion) ; debuild -us -uc -i -b --lintian-opts --profile debian
	mv build/$(name)_*deb dist/

pacman: BUILD_DIR = /tmp/rear-$(distversion)
pacman: dist
	@echo -e "\033[1m== Building Pacman package $(name)-$(distversion) ==\033[0;0m"
	rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
	cp packaging/arch/PKGBUILD.local $(BUILD_DIR)/PKGBUILD
	cp $(name)-$(distversion).tar.gz $(BUILD_DIR)/
	cd $(BUILD_DIR) ; sed -i -e 's/VERSION/$(date)/' \
		-e 's/SOURCE/$(name)-$(distversion).tar.gz/' \
		-e 's/MD5SUM/$(shell md5sum $(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
		PKGBUILD ; makepkg -c
	cp $(BUILD_DIR)/*.pkg.* .
	rm -rf $(BUILD_DIR)

obs: BUILD_DIR = /tmp/rear-$(distversion)
obs: obsname = $(shell osc ls $(obsproject) $(obspackage) | awk '/.tar.gz$$/ { gsub(".tar.gz$$","",$$1); print }')
obs: dist
	@echo -e "\033[1m== Updating OBS from $(obsname) to $(name)-$(distversion)== \033[0;0m"
ifneq ($(obsname),$(name)-$(distversion))
	-rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
ifneq ($(OFFICIAL),)
#	osc rdelete -m 'Recreating branch $(obspackage)' $(obsproject) $(obspackage)
	-osc branch Archiving:Backup:Rear:Snapshot rear $(obsproject) $(obspackage)
	-osc detachbranch $(obsproject) $(obspackage)
endif
	(cd $(BUILD_DIR) ; osc co -c $(obsproject) $(obspackage) )
	-(cd $(BUILD_DIR)/$(obspackage) ; osc del *.tar.gz )
	cp dist/$(name)-$(distversion).tar.gz $(BUILD_DIR)/$(obspackage)
	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(specfile) >$(BUILD_DIR)/$(obspackage)/$(name).spec
##	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/control >$(BUILD_DIR)/$(obspackage)/debian.control
	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- openSUSE Build Service <obs@relax-and-recover.org>  $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/changelog >>$(BUILD_DIR)/$(obspackage)/debian.changelog
	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/compat >>$(BUILD_DIR)/$(obspackage)/debian.compat
	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/copyright >>$(BUILD_DIR)/$(obspackage)/debian.copyright
	cd $(BUILD_DIR)/$(obspackage); osc addremove
	cd $(BUILD_DIR)/$(obspackage); osc ci -m "Update to $(name)-$(distversion)" $(BUILD_DIR)/$(obspackage)
	rm -rf $(BUILD_DIR)
	@echo -e "\033[1mNow visit https://build.opensuse.org/package/show?package=rear&project=$(obsproject)"
	@echo -e "or inspect the queue at: https://build.opensuse.org/monitor\033[0;0m"
else
	@echo -e "OBS already updated to this release."
endif

## rear 2.2+dfsg

=== debian/changelog ===
rear (2.2+dfsg-2) unstable; urgency=medium

  * d/control : upgrade Standards-Version to 4.0.1
  * d/ : fix lintian debian-files-list-in-source
  * d/p/fix-reproducibility-issue.patch : use asciidoc -a footer-style=none

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Tue, 22 Aug 2017 09:22:37 +0000

rear (2.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #872031)
  * d/copyright : upstream simplified the licensing and moved to GPL-3+ almost
    everywhere. Copyright changed to stick to AUTHORS file.
  * d/control :
    - switch from iproute to iproute2 (Closes: #862849)
    - add Recommends on extlinux for USB backup (Closes: #872030)
    - add Depends on fdisk | util-linux (<< 2.29.2-3~) (Closes: #872104)
    - upgraded Standards-Version to 4.0.0
    - add Multi-Arch for rear binary package

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Wed, 16 Aug 2017 09:58:51 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
 Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://relax-and-recover.org/
 
 Package: rear-doc
@@ -23,12 +23,14 @@
 
 Package: rear
 Architecture: amd64 i386 ia64 ppc64el
+Multi-Arch: same
 Depends: attr,
          binutils,
          dosfstools,
          ethtool,
+         fdisk | util-linux (<< 2.29.2-3~),
          gawk,
-         iproute,
+         iproute2,
          iputils-ping,
          isolinux,
          lsb-release,
@@ -37,7 +39,7 @@
          syslinux[!ppc64el],
          xorriso,
          ${misc:Depends}
-Recommends: nfs-client, portmap
+Recommends: nfs-client, portmap, extlinux [amd64 i386]
 Description: Bare metal disaster recovery and system migration framework
  It is a modular framework with many ready-to-go workflows for common
  situations.  Relax-and-Recover produces a bootable image. This image can

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	# We want to rebuild man and it's not cleaned by make clean
	rm -f doc/rear.8

override_dh_auto_build-arch:
	dh_auto_build -Nrear-doc
	$(MAKE) man

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_install:
	gunzip debian/tmp/usr/share/rear/skel/Debian/default.tar.gz
	gzip -n debian/tmp/usr/share/rear/skel/Debian/default.tar
	dh_install --list-missing -X .gitignore

## rear 2.3+dfsg

=== doc/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

adoctargets = $(shell echo *.adoc)
htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))

all: docs

dist: docs

man: rear.8

docs: rear.8 $(htmltargets)
	make -C user-guide docs

install: rear.8
	install -Dp -m0644 rear.8 $(DESTDIR)$(mandir)/man8/rear.8

clean:
	rm -f unconv.8 *.html *.xml
	make -C user-guide clean

%.8.html: %.8.adoc
	asciidoc -a footer-style=none -d manpage $<

%.8: %.8.xml
	xmlto man $<

%.html: %.adoc
	asciidoc -a footer-style=none $<

%.8.xml: %.8.adoc
	asciidoc -b docbook -d manpage $<

=== doc/user-guide/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

adoctargets = relax-and-recover-user-guide.adoc
htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))

all: docs

dist: docs

docs: $(htmltargets)

clean:
	rm -f *.html *.svg *.xml

%.html: %.adoc
	asciidoc -a footer-style=none $<

=== debian/changelog ===
rear (2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3+dfsg
  * Drop all patches
  * Fix lintian error
  * Update maintainer mail
  * Update copyright information
  * Update dependencies.
    Thanks to Alban Vidal and Andreas Henriksson (Closes: #881978, #887216)
  * Remove .gitignore install exclusion
  * Follow upstream /etc/rear permissions
  * Fix configuration file permissions
  * Use https instead of http URL
  * Import example files properly
  * Add Vcs-Browser and Vcs-Git URLs

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 21 Feb 2018 10:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: rear
 Section: admin
 Priority: optional
-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
 Build-Depends-Indep: source-highlight
 Standards-Version: 4.0.0
 Homepage: http://relax-and-recover.org/
+Vcs-Browser: https://salsa.debian.org/debian/rear
+Vcs-Git: https://salsa.debian.org/debian/rear.git
 
 Package: rear-doc
 Section: doc
@@ -25,8 +27,10 @@
 Architecture: amd64 i386 ia64 ppc64el
 Multi-Arch: same
 Depends: attr,
+         bc,
          binutils,
          dosfstools,
+         e2fsprogs,
          ethtool,
          fdisk | util-linux (<< 2.29.2-3~),
          gawk,
@@ -36,7 +40,8 @@
          lsb-release,
          openssl,
          parted,
-         syslinux[!ppc64el],
+         syslinux[amd64 i386],
+         syslinux-common,
          xorriso,
          ${misc:Depends}
 Recommends: nfs-client, portmap, extlinux [amd64 i386]

## rear 2.4+dfsg

=== debian/changelog ===
rear (2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4+dfsg
  * Move doc to comply with Debian Policy 3.9.7
  * Upgrade compat level
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 11 Jan 2019 17:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
+Build-Depends: asciidoc-base, debhelper (>= 12~), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: http://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
 Vcs-Git: https://salsa.debian.org/debian/rear.git

## rear 2.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	@echo -e "\033[1m== Validating scripts and configuration ==\033[0;0m"
 	find etc/ usr/share/rear/conf/ -name '*.conf' | xargs -n 1 bash -n
 	bash -n $(rearbin)
-	find . -name '*.sh' | xargs -n 1 bash -n
+	find . -name '*.sh' | xargs -n 1 bash -O extglob -O nullglob -n
 	find usr/share/rear -name '*.sh' | grep -v -E '(lib|skel|conf)' | while read FILE ; do \
 		num=$$(echo $${FILE##*/} | cut -c1-3); \
 		if [[ "$$num" = "000" || "$$num" = "999" ]] ; then \
@@ -177,6 +177,9 @@
 		-e 's#^%setup.*#%setup -q -n $(name)-$(distversion)#' \
 		build/$(name)-$(distversion)/$(specfile)
 	sed -i.orig \
+		-e 's#^Version:.*#Version: $(version)-$(debrelease)#' \
+		build/$(name)-$(distversion)/$(dscfile)
+	sed -i.orig \
 		-e 's#^readonly VERSION=.*#readonly VERSION=$(distversion)#' \
 		-e 's#^readonly RELEASE_DATE=.*#readonly RELEASE_DATE="$(release_date)"#' \
 		build/$(name)-$(distversion)/$(rearbin)
@@ -213,10 +216,10 @@
 	rm -rf $(BUILD_DIR)
 	mkdir -p $(BUILD_DIR)
 	cp packaging/arch/PKGBUILD.local $(BUILD_DIR)/PKGBUILD
-	cp $(name)-$(distversion).tar.gz $(BUILD_DIR)/
+	cp dist/$(name)-$(distversion).tar.gz $(BUILD_DIR)/
 	cd $(BUILD_DIR) ; sed -i -e 's/VERSION/$(date)/' \
 		-e 's/SOURCE/$(name)-$(distversion).tar.gz/' \
-		-e 's/MD5SUM/$(shell md5sum $(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
+		-e 's/MD5SUM/$(shell md5sum dist/$(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
 		PKGBUILD ; makepkg -c
 	cp $(BUILD_DIR)/*.pkg.* .
 	rm -rf $(BUILD_DIR)
@@ -237,7 +240,7 @@
 	-(cd $(BUILD_DIR)/$(obspackage) ; osc del *.tar.gz )
 	cp dist/$(name)-$(distversion).tar.gz $(BUILD_DIR)/$(obspackage)
 	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(specfile) >$(BUILD_DIR)/$(obspackage)/$(name).spec
-##	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
+	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
 	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/control >$(BUILD_DIR)/$(obspackage)/debian.control
 	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
 	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- openSUSE Build Service <obs@relax-and-recover.org>  $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog

=== debian/changelog ===
rear (2.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add lintian overrides
  * Bump Standards-Version
  * Add needed deps for 950_check_missing_programs.sh
  * Handle ppc64el kernel naming

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 12 Aug 2019 13:40:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: asciidoc-base, debhelper (>= 12~), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
 Vcs-Git: https://salsa.debian.org/debian/rear.git
@@ -37,7 +37,9 @@
          iproute2,
          iputils-ping,
          isolinux,
+         kbd,
          lsb-release,
+         net-tools,
          openssl,
          parted,
          syslinux[amd64 i386],

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,filenamemangle=s/.+\/(\d\S*)\.tar\.gz/rear-$1\.tar\.gz/ \
  https://github.com/rear/rear/tags .*/(\d\S*)\.tar\.gz

## rear 2.6%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,9 @@
 override_dh_install:
 	gunzip debian/tmp/usr/share/rear/skel/Debian/default.tar.gz
 	gzip -n debian/tmp/usr/share/rear/skel/Debian/default.tar
-	dh_install --list-missing -X .gitignore
+	rm -fr debian/tmp/usr/share/rear/conf/examples
+	dh_install
+
+override_dh_fixperms:
+	# Stick to install-config permissions
+	dh_fixperms --exclude debian/rear/etc/rear

## rear 2.6+dfsg

=== debian/changelog ===
rear (2.6+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Frédéric Bonnard ]
  * New upstream version 2.6
  * Remove ppc64el kernel naming patch applied upstream
  * Use asciidoctor to build docs
  * Disable Web fonts used by the default stylesheet
  * Add Rules-Requires-Root field
  * Upgrade debhelper compatibility level

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 24 Aug 2020 16:18:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: asciidoc-base, debhelper (>= 12~), xmlto
+Build-Depends: asciidoctor, debhelper-compat (= 13), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.4.0
-Homepage: http://relax-and-recover.org/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
 Vcs-Git: https://salsa.debian.org/debian/rear.git

## rear 2.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 clean:
 	rm -Rf dist build
 	rm -f build-stamp
-	make -C doc clean
+	$(MAKE) -C doc clean
 
 ### You can call 'make validate' directly from your .git/hooks/pre-commit script
 validate:
@@ -107,11 +107,11 @@
 
 man:
 	@echo -e "\033[1m== Prepare manual ==\033[0;0m"
-	make -C doc man
+	$(MAKE) -C doc man
 
 doc:
 	@echo -e "\033[1m== Prepare documentation ==\033[0;0m"
-	make -C doc docs
+	$(MAKE) -C doc docs
 
 install-config:
 	@echo -e "\033[1m== Installing configuration ==\033[0;0m"
@@ -144,7 +144,7 @@
 
 install-doc:
 	@echo -e "\033[1m== Installing documentation ==\033[0;0m"
-	make -C doc install
+	$(MAKE) -C doc install
 	sed -i -e 's,/etc,$(sysconfdir),' \
 		-e 's,/usr/sbin,$(sbindir),' \
 		-e 's,/usr/share,$(datadir),' \

=== doc/user-guide/Makefile ===
SHELL=/bin/bash

prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

adoctargets = relax-and-recover-user-guide.adoc
htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))

asciidoc := $(shell if type -p asciidoctor >/dev/null; then echo asciidoctor; else echo asciidoc; fi)

all: docs

dist: docs

docs: $(htmltargets)

clean:
	rm -f *.html *.svg *.xml

%.html: %.adoc
	$(asciidoc) -a footer-style=none $<

=== debian/changelog ===
rear (2.7+dfsg-1) unstable; urgency=medium

  * Update to new upstream version 2.7.
  * Update d/watch
  * Update d/copyright details
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 11 Jan 2023 15:33:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: asciidoctor, debhelper-compat (= 13), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
